Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.adaptor.snmp.agent
Interface SnmpAgentServiceMBean

All Superinterfaces:
  org.jboss.system.ListenerServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  SnmpAgentService

public interface SnmpAgentServiceMBean
extends org.jboss.system.ListenerServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ListenerServiceMBean
`SL_MBEAN_ELEMENT, SL_MBEAN_HANDBACK_ATTRIBUTE, SL_MBEAN_NAME_ATTRIBUTE, SL_NOTIFICATION_ELEMENT, SL_NOTIFICATION_TYPE_ATTRIBUTE, SL_ROOT_ELEMENT`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getBindAddress()` Gets the agent bind address
`int` | `getHeartBeatPeriod()` Gets the heartbeat switch
`long` | `getInstantiationTime()` Returns the difference, measured in milliseconds, between the instantiation time and midnight, January 1, 1970 UTC.
`String` | `getManagersResName()` Gets the name of the file containing SNMP manager specifications
`String` | `getNotificationMapResName()` Gets the name of the file containing the notification/trap mappings
`int` | `getNumberOfThreads()` Gets the number of threads in the agent requests processing thread pool
`int` | `getPort()` Gets the agent listening port number
`String` | `getRequestHandlerClassName()` Gets the RequestHandler implementation class
`String` | `getRequestHandlerResName()` Gets the resource file name containing get/set mappings
`int` | `getSnmpVersion()` Gets the snmp protocol version
`javax.management.ObjectName` | `getTimerName()` Gets the utilised timer MBean name
`long` | `getTrapCount()` Returns the current trap counter reading
`String` | `getTrapFactoryClassName()` Gets the utilised trap factory name
`long` | `getUptime()` Returns the up-time
`void` | `setBindAddress(String bindAddress)` Sets the agent bind address
`void` | `setHeartBeatPeriod(int heartBeatPeriod)` Sets the heartbeat period (in seconds) switch
`void` | `setManagersResName(String managersResName)` Sets the name of the file containing SNMP manager specifications
`void` | `setNotificationMapResName(String notificationMapResName)` Sets the name of the file containing the notification/trap mappings
`void` | `setNumberOfThreads(int numberOfThreads)` Sets the number of threads in the agent request processing thread pool
`void` | `setPort(int port)` Sets the agent listening port number
`void` | `setReadCommunity(String readCommunity)` Sets the read community (no getter)
`void` | `setRequestHandlerClassName(String requestHandlerClassName)` Sets the RequestHandler implementation class
`void` | `setRequestHandlerResName(String requestHandlerResName)` Sets the resource file name containing get/set mappings
`void` | `setSnmpVersion(int snmpVersion)` Sets the snmp protocol version
`void` | `setTimerName(javax.management.ObjectName timerName)` Sets the utilised timer MBean name
`void` | `setTrapFactoryClassName(String name)` Sets the utilised trap factory name
`void` | `setWriteCommunity(String writeCommunity)` Sets the write community (no getter)

Methods inherited from interface org.jboss.system.ListenerServiceMBean
`setSubscriptionList`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getHeartBeatPeriod

    public int getHeartBeatPeriod()

  Gets the heartbeat switch

### setHeartBeatPeriod

    public void setHeartBeatPeriod(int heartBeatPeriod)

  Sets the heartbeat period (in seconds) switch

### getInstantiationTime

    public long getInstantiationTime()

  Returns the difference, measured in milliseconds, between the instantiation time and midnight, January 1, 1970 UTC.

### getUptime

    public long getUptime()

  Returns the up-time

### getTrapCount

    public long getTrapCount()

  Returns the current trap counter reading

### setManagersResName

    public void setManagersResName(String managersResName)

  Sets the name of the file containing SNMP manager specifications

### getManagersResName

    public String getManagersResName()

  Gets the name of the file containing SNMP manager specifications

### setNotificationMapResName

    public void setNotificationMapResName(String notificationMapResName)

  Sets the name of the file containing the notification/trap mappings

### getNotificationMapResName

    public String getNotificationMapResName()

  Gets the name of the file containing the notification/trap mappings

### setTrapFactoryClassName

    public void setTrapFactoryClassName(String name)

  Sets the utilised trap factory name

### getTrapFactoryClassName

    public String getTrapFactoryClassName()

  Gets the utilised trap factory name

### setTimerName

    public void setTimerName(javax.management.ObjectName timerName)

  Sets the utilised timer MBean name

### getTimerName

    public javax.management.ObjectName getTimerName()

  Gets the utilised timer MBean name

### setBindAddress

    public void setBindAddress(String bindAddress)
                        throws UnknownHostException

  Sets the agent bind address

  Throws:
    `UnknownHostException`

### getBindAddress

    public String getBindAddress()

  Gets the agent bind address

### setNumberOfThreads

    public void setNumberOfThreads(int numberOfThreads)

  Sets the number of threads in the agent request processing thread pool

### getNumberOfThreads

    public int getNumberOfThreads()

  Gets the number of threads in the agent requests processing thread pool

### setPort

    public void setPort(int port)

  Sets the agent listening port number

### getPort

    public int getPort()

  Gets the agent listening port number

### setSnmpVersion

    public void setSnmpVersion(int snmpVersion)

  Sets the snmp protocol version

### getSnmpVersion

    public int getSnmpVersion()

  Gets the snmp protocol version

### setReadCommunity

    public void setReadCommunity(String readCommunity)

  Sets the read community (no getter)

### setWriteCommunity

    public void setWriteCommunity(String writeCommunity)

  Sets the write community (no getter)

### setRequestHandlerClassName

    public void setRequestHandlerClassName(String requestHandlerClassName)

  Sets the RequestHandler implementation class

### getRequestHandlerClassName

    public String getRequestHandlerClassName()

  Gets the RequestHandler implementation class

### setRequestHandlerResName

    public void setRequestHandlerResName(String requestHandlerResName)

  Sets the resource file name containing get/set mappings

### getRequestHandlerResName

    public String getRequestHandlerResName()

  Gets the resource file name containing get/set mappings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.